# $Revision: 1.51 $, $Date: 2008/11/07 20:50:30 $
# TODO:
# - tightvnc.init
# - segfaults on amd64
Summary:	tightvnc - application based on the VNC version 3.3.3r2
Summary(pl.UTF-8):	tightvnc - aplikacja bazująca na VNC w wersji 3.3.3r2
Name:		tightvnc
Version:	1.3.9
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/vnc-tight/%{name}-%{version}_unixsrc.tar.bz2
# Source0-md5:	49a0748ea52793f2e3069e05af28f716
Source1:	%{name}.desktop
Source2:	%{name}48.png
Patch0:		%{name}-vncserver.patch
Patch1:		%{name}-imake.patch
Patch2:		%{name}-security.patch
Patch3:		%{name}-imake-tmpdir.patch
Patch4:		%{name}-xdir.patch
URL:		http://www.tightvnc.com/
BuildRequires:	cpp
BuildRequires:	libjpeg-devel
BuildRequires:	xorg-cf-files >= 1.0.1-0.3
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-util-gccmakedep
BuildRequires:	xorg-util-imake
BuildRequires:	zlib
Provides:	vnc-client
Conflicts:	vnc
# server proc crashes atm
ExcludeArch:	amd64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VNC is a great client/server software package allowing remote network
access to graphical desktops. TightVNC is optimized to work over slow
network connections such as low-speed modem links. While oroginal VNC
may be verry slow when your connection is not fast enough, with
TightVNC you can work remotely almost in real time in most
environments.

%description -l pl.UTF-8
VNC jest wspaniałym programem klient/serwer umożliwiającym zdalny
dostęp do graficznych pulpitów. TightVNC jest zoptymalizowany do pracy
przy wolniejszych połączeniach sieciowych takich jak połączenia
modemowe. Oryginalne VNC może pracować wolno kiedy połączenie nie jest
wystarczająco szybkie, natomiast z TightVNC możesz pracować zdalnie
niemal w czasie rzeczywistym.

%package server
Summary:	VNC X server - tightvnc version
Summary(pl.UTF-8):	X serwer VNC - wersja tightvnc
Group:		X11/Applications/Networking
Requires:	xorg-app-rgb
# for vncpasswd tool
Requires:	%{name}-utils = %{version}-%{release}
# for mcookie
Requires:	util-linux
Obsoletes:	vnc-server

%description server
This package contains VNC X server in tightvnc version.

%description server -l pl.UTF-8
Ten pakiet zawiera X serwer VNC w wersji tightvnc.

%package utils
Summary:	Additional utilities for tightvnc
Summary(pl.UTF-8):	Dodatkowe narzędzia do tightvnc
Group:		X11/Applications/Networking
Obsoletes:	vnc-utils

%description utils
This package contains additional tightvnc utilities: vncconnect and
vncpasswd. vncconnect tells Xvnc server to connect to a listening
tightvnc viewer. vncpasswd generates password file (both on server and
viewer side).

%description utils -l pl.UTF-8
Ten pakiet zawiera dodatkowe narzędzia do tightvnc: vncconnect i
vncpasswd. vncconnect służy do połączenia serwera Xvnc z nasłuchującym
vncviewerem. vncpasswd służy to tworzenia pliku z hasłem (zarówno po
stronie serwera, jak i przeglądarki).

%prep
%setup -qn vnc_unixsrc
%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p1
%patch4 -p1

%build
xmkmf
%{__make} World \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	EXTRA_LDOPTIONS="%{rpmldflags}"
cd Xvnc
./configure
%{__make} -j1 \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	EXTRA_LDOPTIONS="%{rpmldflags}" \
	FONTDIR=/usr/share/fonts

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}/vnc/classes} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

install vncserver vncviewer/vncviewer vncpasswd/vncpasswd \
	vncconnect/vncconnect Xvnc/programs/Xserver/Xvnc $RPM_BUILD_ROOT%{_bindir}

install classes/* $RPM_BUILD_ROOT%{_datadir}/vnc/classes

install vncserver.man $RPM_BUILD_ROOT%{_mandir}/man1/vncserver.1
install vncviewer/vncviewer.man $RPM_BUILD_ROOT%{_mandir}/man1/vncviewer.1
install vncpasswd/vncpasswd.man $RPM_BUILD_ROOT%{_mandir}/man1/vncpasswd.1
install vncconnect/vncconnect.man $RPM_BUILD_ROOT%{_mandir}/man1/vncconnect.1
install Xvnc/programs/Xserver/Xvnc.man $RPM_BUILD_ROOT%{_mandir}/man1/Xvnc.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/vncviewer
%{_mandir}/man1/vncviewer.1*
%{_desktopdir}/tightvnc.desktop
%{_pixmapsdir}/tightvnc.png

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xvnc
%attr(755,root,root) %{_bindir}/vncserver
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncserver.1*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vncconnect
%attr(755,root,root) %{_bindir}/vncpasswd
%{_mandir}/man1/vncconnect.1*
%{_mandir}/man1/vncpasswd.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tightvnc.spec,v $
Revision 1.51  2008/11/07 20:50:30  arekm
- release 3

Revision 1.50  2008/04/01 00:13:46  sls
- __make -j1

Revision 1.49  2007-08-04 15:35:21  patrys
- conflict on vnc

Revision 1.48  2007/05/10 20:32:28  twittner
- rel. 1 - tested, works

Revision 1.47  2007/05/10 19:59:53  twittner
- up to 1.3.9
- rel. 0.1 - builds (but first build with make -j 5 failed), not tested

Revision 1.46  2007/04/02 06:03:16  twittner
- rel. 3 (problem with font paths is resolved)

Revision 1.45  2007/04/01 18:32:16  twittner
- the next try to fix font paths - sth works (compiled on th-i486,
  on x86_64 [carme] build fails during linking)
- rel. 2.3

Revision 1.44  2007/04/01 17:18:28  twittner
- more /usr/X11R6 -> /usr fixes (not tested yet)
- rel. 2.2

Revision 1.43  2007/04/01 17:04:41  twittner
- /usr/X11R6 -> /usr in paths
- rel. 2.1 for testing

Revision 1.42  2007/02/17 17:34:37  baggins
- rel 2
- req xorg-app-rgb instead of XFree86-common

Revision 1.41  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.39  2007/01/06 19:56:02  arekm
- rel 1

Revision 1.38  2006/08/26 21:54:01  qboosh
- more

Revision 1.37  2006/08/26 19:33:16  arekm
- th BR

Revision 1.36  2006/08/21 15:06:15  charles
- updated to 1.3.8
- BR: cpp
- rel. 0.1; req. checking for amd64

Revision 1.35  2006/01/29 12:12:23  glen
- add excludearch for amd64 due it's crashing there

Revision 1.34  2006/01/27 13:38:23  glen
- add security related patches from gentoo

Revision 1.33  2006/01/27 11:38:11  glen
- -server needs vncpasswd

Revision 1.32  2005/07/26 23:03:16  charles
- up to 1.3dev7
- removed outdated -malloc.patch

Revision 1.31  2005/04/04 15:22:58  baggins
- release .4
- removed fds_bits breakage

Revision 1.30  2005/03/27 20:52:39  baggins
- duh, mistaken version and release

Revision 1.29  2005/03/27 20:48:25  baggins
- release 1.4
- fixed (a completely non-working) vncserver script

Revision 1.28  2005/02/27 20:18:25  darekr
- sorted BRs

Revision 1.27  2005/02/05 14:55:36  wolf
- corrected
- rel .2

Revision 1.26  2005/02/05 14:50:17  wolf
- added icon

Revision 1.25  2005/02/03 21:05:02  arekm
- BR: XFree86-devel

Revision 1.24  2005/02/03 20:24:03  wolf
- 1.3dev5

Revision 1.23  2004/11/21 19:35:20  arekm
- rel 7; fixed path

Revision 1.22  2004/11/04 11:27:02  paladine
- rel 6 for fixed desktop file

Revision 1.21  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.20  2004/10/03 04:05:28  domelu
- TODO: tightvnc.init

Revision 1.19  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.18  2004/08/25 09:50:24  undefine
- xfs isn't required on the same machine! it can be on other server.

Revision 1.17  2004/08/22 15:11:35  qboosh
- added imake patch, release 4

Revision 1.16  2003/10/08 12:57:08  krzak
- tightvnc.desktop to %{_desktopdir}
- fixes in tightvnc.desktop file
- rel 3

Revision 1.15  2003/09/17 08:28:30  krzak
- Provides : vnc-client

Revision 1.14  2003/08/13 10:56:02  krolik
- updated to 1.2.9

Revision 1.13  2003/05/28 13:02:15  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:27:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.10  2003/02/18 09:52:09  krolik
- updated to 1.2.8

Revision 1.9  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.8  2002/12/05 15:28:36  areq
- 1.2.7, STBR

Revision 1.7  2002/10/08 08:02:30  marcus
- rel.2.
- fixed patch to classess in vncserver

Revision 1.6  2002/08/30 23:28:44  aflinta
- updated to version 1.2.6

Revision 1.5  2002/07/17 21:18:12  qboosh
- added missing files (quite important: Xvnc)
- changes inspired by vnc.spec, Obsoletes: vnc*
- fixed Comment[pl] in .desktop - it's not (only) for administration
- release 2

Revision 1.4  2002/07/14 16:15:40  kloczek
- finished (please keep new spec close to some .. standards ;)
  NOTE: missing icon for desktop file.

Revision 1.3  2002/07/12 20:30:02  djrzulf
- corrected source s/dll/dl/,

Revision 1.2  2002/07/08 00:56:26  krolik
- modifided %changelog section
